%define modname filter
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 81_%{modname}.ini

Summary:	Extension for safely dealing with input parameters
Name:		php-%{modname}
Version:	5.2.1
%define subrel 1
Release:	%mkrel 0
Group:		Development/PHP
License:	PHP License
URL:		http://www.php.net/
Source2:	%{modname}.ini
BuildRequires:	pcre-devel
BuildRequires:	php-devel >= 3:5.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Input Filter extension is meant to address this issue by implementing a set
of filters and mechanisms that users can use to safely access their input data.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .
mkdir ext
cp -dpR %{_usrsrc}/php-devel/extensions/pcre ext/

cp %{SOURCE2} %{inifile}

%build

export CPPFLAGS="-DHAVE_PCRE"

phpize

%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix} \
    --with-pcre-dir=%{_prefix}

%make
mv modules/*.so %{modname}.so

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Wed Apr 18 2007 Vincent Danen <vdanen@mandriva.com> 5.2.1-0.1mdv2007.1
- drop the pecl filter extension in favour of the (better) internal extension which
  also fixes CVE-2007-1454

* Fri Feb 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-3mdv2007.0
+ Revision: 118555
- rebuilt against new upstream php version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-2mdv2007.0
+ Revision: 78170
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-1mdv2007.1
+ Revision: 77322
- Import php-filter



* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-1mdv2007.1
- initial Mandriva package
